Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5/: Corresp
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5/: FAQ
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5/: Makefile
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5/: bitmap3.2.c
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5/: bitmap3.2.h
diff -r -c gnuplot3.5/command.c /nfs/grebe/home/users/stevec/src/gnuplot3.5//command.c
*** gnuplot3.5/command.c	Wed Sep 15 21:59:44 1993
--- /nfs/grebe/home/users/stevec/src/gnuplot3.5//command.c	Mon Jul 25 21:41:40 1994
***************
*** 2146,2151 ****
--- 2146,2154 ----
  			      c_token);
  		this_plot->plot_style = get_style();
  	    }
+ 
+ 	    this_plot->box_style = BOX_FILL;
+ 
  	    if (!equals(c_token, ",") && !END_OF_COMMAND) {
  		struct value    t;
  		this_plot->line_type = (int) real(const_express(&t)) - 1;
***************
*** 2154,2159 ****
--- 2157,2183 ----
  		struct value    t;
  		this_plot->point_type = (int) real(const_express(&t)) - 1;
  	    }
+ 	    if (almost_equals(c_token, "fi$ll")){
+ 		this_plot->box_style = BOX_FILL;
+ 		c_token++;
+ 	    }
+ 	    if (almost_equals(c_token, "out$line")){
+ 		this_plot->box_style = BOX_OUTLINE;
+ 		c_token++;
+ 	    }		    
+ 	    if (almost_equals(c_token, "le$ft")){
+ 		this_plot->box_style = BOX_HATCH_LEFT;
+ 		c_token++;
+ 	    }
+ 	    if (almost_equals(c_token, "ri$ght")){
+ 		this_plot->box_style = BOX_HATCH_RIGHT;
+ 		c_token++;
+ 	    }
+ 	    if (almost_equals(c_token, "bo$th")){
+ 		this_plot->box_style = BOX_HATCH_BOTH;
+ 		c_token++;
+ 	    }
+ 
  	    if ((this_plot->plot_style == POINTSTYLE) ||
  		(this_plot->plot_style == LINESPOINTS) ||
  		(this_plot->plot_style == ERRORBARS))
***************
*** 2358,2363 ****
--- 2382,2408 ----
  		struct value    t;
  		(void) real(const_express(&t));
  	    }
+ 	    if (almost_equals(c_token, "fi$ll")){
+ 		this_plot->box_style = BOX_FILL;
+ 		c_token++;
+ 	    }
+ 	    if (almost_equals(c_token, "out$line")){
+ 		this_plot->box_style = BOX_OUTLINE;
+ 		c_token++;
+ 	    }		    
+ 	    if (almost_equals(c_token, "le$ft")){
+ 		this_plot->box_style = BOX_HATCH_LEFT;
+ 		c_token++;
+ 	    }
+ 	    if (almost_equals(c_token, "ri$ght")){
+ 		this_plot->box_style = BOX_HATCH_RIGHT;
+ 		c_token++;
+ 	    }
+ 	    if (almost_equals(c_token, "bo$th")){
+ 		this_plot->box_style = BOX_HATCH_BOTH;
+ 		c_token++;
+ 	    }
+ 
  	    tp_ptr = &(this_plot->next_cp);	/* used below */
  	    this_plot = this_plot->next_cp;
  	}
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5/: config.status
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5/: contrib
Common subdirectories: gnuplot3.5/demo and /nfs/grebe/home/users/stevec/src/gnuplot3.5//demo
Common subdirectories: gnuplot3.5/docs and /nfs/grebe/home/users/stevec/src/gnuplot3.5//docs
diff -r -c gnuplot3.5/gplt_x11.c /nfs/grebe/home/users/stevec/src/gnuplot3.5//gplt_x11.c
*** gnuplot3.5/gplt_x11.c	Wed Sep 15 21:59:46 1993
--- /nfs/grebe/home/users/stevec/src/gnuplot3.5//gplt_x11.c	Fri Jul 22 22:16:34 1994
***************
*** 109,114 ****
--- 109,115 ----
  double xscale, yscale, pointsize;
  #define X(x) (int) (x * xscale)
  #define Y(y) (int) ((4095-y) * yscale)
+ #define Yabs(y) (unsigned int) (y * yscale)
  enum JUSTIFY { LEFT, CENTRE, RIGHT } jmode;
  
  #define Nbuf 1024
***************
*** 511,517 ****
  	       XSetLineAttributes(dpy, gc, width, type, CapButt, JoinBevel);
  	       }
  	    }
! 	 }
        }
  
     /* trigger exposure of background pixmap */
--- 512,525 ----
  	       XSetLineAttributes(dpy, gc, width, type, CapButt, JoinBevel);
  	       }
  	    }
!          }
!       else if (*buf== 'B'){
! 	  static int x,y;
! 	  static unsigned int dx,dy;
! 	  sscanf(buf, "B%06d%06d%06d%06d", &x, &y, &dx, &dy);
! 	  XFillRectangle(dpy,pixmap,gc,
! 		      X(x), Y(y) - Yabs(dy), X(dx), Yabs(dy));
!        }
        }
  
     /* trigger exposure of background pixmap */
diff -r -c gnuplot3.5/graphics.c /nfs/grebe/home/users/stevec/src/gnuplot3.5//graphics.c
*** gnuplot3.5/graphics.c	Wed Sep 15 21:59:47 1993
--- /nfs/grebe/home/users/stevec/src/gnuplot3.5//graphics.c	Tue Jul 26 10:38:51 1994
***************
*** 84,89 ****
--- 84,91 ----
  void plot_dots();
  void plot_bars();
  void plot_boxes();
+ void plot_box();
+ 
  void edge_intersect();
  TBOOLEAN two_edge_intersect();
  
***************
*** 702,711 ****
  			   }
  			}
  			/* no break */
! 		    case BOXES: {
  			   if (key != 0 && this_plot->title) {
  				  (*t->move)(xl+(t->h_char),yl);
  				  (*t->vector)(xl+4*(t->h_char),yl);
  			   }
  			   plot_boxes(this_plot,xaxis_y);
  			   break;
--- 704,722 ----
  			   }
  			}
  			/* no break */
! 		    case BOXES: {	/* someone was lazy, lazy, lazy */
  			   if (key != 0 && this_plot->title) {
+ 			       int bx, by;
+ 			       unsigned int dbx, dby;
+ /*
  				  (*t->move)(xl+(t->h_char),yl);
  				  (*t->vector)(xl+4*(t->h_char),yl);
+ */
+ 			       bx = xl + (t->h_char);
+ 			       by = yl - (t->v_char)/4;
+ 			       dbx = 3 * (t->h_char);
+ 			       dby = 1 * (t->v_char) / 2;
+ 			       plot_box(bx, by, bx + dbx, by + dby,this_plot->box_style);
  			   }
  			   plot_boxes(this_plot,xaxis_y);
  			   break;
***************
*** 975,980 ****
--- 986,1142 ----
  /* plot_boxes:
   * Plot the curves in BOXES style
   */
+ 
+ #define HATCH_THETA 3.14159/3.0
+ #define HATCH_DENSITY 50.0
+ 
+ int hatch_r(x, y, dx, dy)
+ int x,y; 
+ unsigned int dx, dy;{
+ 
+ 
+     int cy, ty;
+     int yinc;
+     int ymx, tdx, x0, y1;
+     double m;
+ 
+     register struct termentry *t = &term_tbl[term]; 
+ 
+     /* yinc is y step size */
+ 
+     yinc = (int) ((map_y(y_max) - map_y(y_min))/HATCH_DENSITY + .5);
+     
+     /* ty is top o' the box */
+ 
+     ty = y + dy; 	
+     
+     m = tan(HATCH_THETA);	
+ 
+     tdx = (int)(.5 + (yinc / m));
+     x0 = x + tdx;
+     while(x0 < x+dx){
+ 	(*t->move)(x0,y);
+ 	ymx = (int) + (ty - y) / m;
+ 	y1 = ty;
+ 	if (x0 + tdx > x + dx){
+ 	    ymx = x + dx - x0;
+ 	    y1 = y + (int)(m * ymx);
+ 	}
+ 	(*t->vector)(x0 + ymx, y1);
+ 	x0+=tdx;
+     }
+ 
+     cy = y;
+     while (cy < ty){
+ 	(*t->move)(x, cy);
+ 	ymx = cy + (int)(m * dx + .5);	
+ 	if (ymx > ty){
+ 	    tdx = (unsigned int)((ty - cy)/m + .5);
+ 	    ymx = cy + (int)(m * tdx);	
+ 	    (*t->vector)(x+tdx, ymx);
+ 	}
+ 	else
+ 	    (*t->vector)(x+dx, ymx);
+ 	cy+= yinc;
+     }
+     return 0;
+ }
+ 
+ 
+ int hatch_l(x, y, dx, dy)
+ int x,y; 
+ unsigned int dx, dy;{
+  
+     int cy, ty, by;
+     int yinc;
+     int ymx, tdx, x0, y1;
+     double m;
+ 
+     register struct termentry *t = &term_tbl[term];
+ 
+     yinc = (int) ((map_y(y_max) - map_y(y_min))/HATCH_DENSITY + .5);    
+     ty = y + dy;
+ 
+     m = tan(HATCH_THETA);	
+ 
+ 
+     tdx = (int)(.5 + (yinc / m));
+     x0 = x + dx - tdx;
+     while(x0 > x){
+ 	(*t->move)(x0,y);
+ 	ymx = (int) (ty - y) / m;
+ 	y1 = ty;
+ 	if (x0 - tdx < x){
+ 	    ymx = x0 - x;
+ 	    y1 = y + (int)(m * ymx);
+ 	}
+ 	(*t->vector)(x0 - ymx, y1);
+ 	x0-=tdx;
+     }
+ 
+     cy = y;
+     while (cy < ty){
+ 	(*t->move)(x+dx, cy);
+ 	ymx = cy + (int)(m * dx + .5);	
+ 	if (ymx > ty){
+ 	    tdx = (unsigned int)((ty - cy)/m + .5);
+ 	    ymx = cy + (int)(m * tdx);	
+ 	    (*t->vector)(x + dx - tdx, ymx);
+ 	}
+ 	else
+ 	    (*t->vector)(x, ymx);
+ 
+ 	cy+= yinc;
+     }
+     return 0;
+ }
+ 
+ 
+ void draw_outline(int x, int y, unsigned int dx, unsigned int dy){
+     struct termentry *t = &term_tbl[term];
+     (*t->move)(x, y);
+     (*t->vector)(x, y + dy);
+     (*t->vector)(x + dx, y + dy);
+     (*t->vector)(x + dx, y);
+     (*t->vector)(x, y);
+     return;
+ }
+ 
+ void plot_box(int llx, int lly, int urx, int ury, enum BOX_STYLE b){
+ 
+     unsigned int dx,dy;
+     struct termentry *t = &term_tbl[term];
+     dx = urx - llx;
+     dy = ury - lly;
+     
+     switch(b){
+     case BOX_FILL:
+ 	if ((*t->box)(llx, lly, dx, dy))		/* NO_FILL returns 1 */
+ 	    draw_outline(llx, lly, dx, dy);		/* try <something>   */
+ 	break;
+     case BOX_OUTLINE:
+ 	draw_outline(llx, lly, dx, dy);
+ 	break;
+     case BOX_HATCH_LEFT:
+ 	draw_outline(llx, lly, dx, dy);
+ 	hatch_l(llx, lly, dx, dy);
+ 	break;
+     case BOX_HATCH_RIGHT:
+ 	draw_outline(llx, lly, dx, dy);
+ 	hatch_r(llx, lly, dx, dy);
+ 	break;
+     case BOX_HATCH_BOTH:
+ 	draw_outline(llx, lly, dx, dy);
+ 	hatch_l(llx, lly, dx, dy);
+ 	hatch_r(llx, lly, dx, dy);
+ 	break;
+     default:	
+ 	int_error("invalid hatch type: This can't happen",NO_CARET);
+ 	break;
+     }
+     return;
+ }
+ 
  void
  plot_boxes(plot,xaxis_y)
  	struct curve_points *plot;
***************
*** 1046,1057 ****
  			xl= map_x(dxl);
  			xr= map_x(dxr);
  			yt = map_y(dyt);
! 
! 			(*t->move)(xl,xaxis_y);
! 			(*t->vector)(xl,yt);
! 			(*t->vector)(xr,yt);
! 			(*t->vector)(xr,xaxis_y);
! 			(*t->vector)(xl,xaxis_y);
  			break;
  		  }
  		  default:		/* just a safety */
--- 1208,1223 ----
  			xl= map_x(dxl);
  			xr= map_x(dxr);
  			yt = map_y(dyt);
! 			/*
! 			   even width boxes seem to work
! 			   marginally better on some low
! 			   resolution terminals.
! 			   I suspect there is no way to
! 			   guarantee exactly even width
! 			   when drawing at this level
! 			*/
! 			if ((xr - xl) % 2) xr--;
! 			plot_box(xl, xaxis_y, xr, yt, plot->box_style);
  			break;
  		  }
  		  default:		/* just a safety */
***************
*** 2037,2039 ****
--- 2203,2206 ----
  	 }
      }
  }
+ 
Common subdirectories: gnuplot3.5/os2 and /nfs/grebe/home/users/stevec/src/gnuplot3.5//os2
diff -r -c gnuplot3.5/plot.h /nfs/grebe/home/users/stevec/src/gnuplot3.5//plot.h
*** gnuplot3.5/plot.h	Wed Sep 15 21:59:52 1993
--- /nfs/grebe/home/users/stevec/src/gnuplot3.5//plot.h	Wed Jul 27 07:33:42 1994
***************
*** 91,97 ****
  #define MIN_CRV_POINTS 100		/* minimum size of points[] in curve_points */
  #define MIN_SRF_POINTS 1000		/* minimum size of points[] in surface_points */
  
! #define MAX_LINE_LEN 1024	/* maximum number of chars allowed on line */
  #define MAX_TOKENS 400
  #define MAX_ID_LEN 50		/* max length of an identifier */
  
--- 91,100 ----
  #define MIN_CRV_POINTS 100		/* minimum size of points[] in curve_points */
  #define MIN_SRF_POINTS 1000		/* minimum size of points[] in surface_points */
  
! /*
! 	SGC
! */
! #define MAX_LINE_LEN 1024*16	/* maximum number of chars allowed on line */
  #define MAX_TOKENS 400
  #define MAX_ID_LEN 50		/* max length of an identifier */
  
***************
*** 357,362 ****
--- 360,369 ----
  	LINES, POINTSTYLE, IMPULSES, LINESPOINTS, DOTS, ERRORBARS, BOXES, BOXERROR, STEPS
  };
  
+ enum BOX_STYLE {
+     BOX_FILL, BOX_OUTLINE, BOX_HATCH_LEFT, BOX_HATCH_RIGHT, BOX_HATCH_BOTH
+ };
+ 
  enum JUSTIFY {
  	LEFT, CENTRE, RIGHT
  };
***************
*** 456,461 ****
--- 463,469 ----
  	struct curve_points *next_cp;	/* pointer to next plot in linked list */
  	enum PLOT_TYPE plot_type;
  	enum PLOT_STYLE plot_style;
+ 	enum BOX_STYLE box_style;
  	char *title;
  	int line_type;
  	int point_type;
***************
*** 501,507 ****
  #endif
  	unsigned int xmax,ymax,v_char,h_char,v_tic,h_tic;
  	FUNC_PTR options,init,reset,text,scale,graphics,move,vector,linetype,
! 		put_text,text_angle,justify_text,point,arrow;
  };
  
  #ifdef _Windows
--- 509,516 ----
  #endif
  	unsigned int xmax,ymax,v_char,h_char,v_tic,h_tic;
  	FUNC_PTR options,init,reset,text,scale,graphics,move,vector,linetype,
! 		put_text,text_angle,justify_text,point,arrow,box,
! 	        r0, r1, r2, r3, r4, r5, r6, r7, r8, r9;
  };
  
  #ifdef _Windows
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5/: plot.h~
Common subdirectories: gnuplot3.5/term and /nfs/grebe/home/users/stevec/src/gnuplot3.5//term
diff -r -c gnuplot3.5/term.c /nfs/grebe/home/users/stevec/src/gnuplot3.5//term.c
*** gnuplot3.5/term.c	Wed Sep 15 21:59:54 1993
--- /nfs/grebe/home/users/stevec/src/gnuplot3.5//term.c	Wed Jul 27 07:45:58 1994
***************
*** 166,172 ****
--- 166,222 ----
  #define NICE_LINE		0
  #define POINT_TYPES		6
  
+ #define NO_FILL null_fill
+ #define R0 reserve_nyi
+ #define R1 reserve_nyi
+ #define R2 reserve_nyi
+ #define R3 reserve_nyi
+ #define R4 reserve_nyi
+ #define R5 reserve_nyi
+ #define R6 reserve_nyi
+ #define R7 reserve_nyi
+ #define R8 reserve_nyi
+ #define R9 reserve_nyi
  
+ int reserve_nyi(){
+     return 1;
+ }
+ 
+ 
+ int null_fill(x,y,dx,dy)
+ int x,y;
+ unsigned int dx,dy;
+ {
+     return 1;
+ }
+ 							  
+ int do_fill(x,y,dx,dy)
+ int x,y;
+ unsigned int dx,dy;
+ {
+     register struct termentry *t = &term_tbl[term];
+     register int ty;
+     int i;
+     if (dy < dx){
+ 	ty = x + dx;
+ 	dy--;
+ 	for (i = 1; i < dy; i++){
+ 	    (*t->move)(x, ++y);
+ 	    (*t->vector)(ty,y);
+ 	}
+     }
+     else{
+ 	ty = y + dy;
+ 	dx--;
+ 	for (i = 1; i < dx; i++){ 	/* x and x+dx allready drawn in outline */
+ 	    (*t->move)(++x, y);
+ 	    (*t->vector)(x,ty);
+ 	}
+     }
+     return 0;
+ }
+ 
+ 
  do_point(x,y,number)
  int x,y;
  int number;
***************
*** 657,663 ****
  	  1, 1, options_null, UNKNOWN_null, UNKNOWN_null, 
  	  UNKNOWN_null, null_scale, UNKNOWN_null, UNKNOWN_null, UNKNOWN_null, 
  	  UNKNOWN_null, UNKNOWN_null, null_text_angle, 
! 	  null_justify_text, UNKNOWN_null, UNKNOWN_null}
  
      ,{"table", "Dump ASCII table of X Y [Z] values to output",
  	  100, 100, 1, 1,
--- 707,714 ----
  	  1, 1, options_null, UNKNOWN_null, UNKNOWN_null, 
  	  UNKNOWN_null, null_scale, UNKNOWN_null, UNKNOWN_null, UNKNOWN_null, 
  	  UNKNOWN_null, UNKNOWN_null, null_text_angle, 
! 	  null_justify_text, UNKNOWN_null, UNKNOWN_null, NO_FILL,
! 	  R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
      ,{"table", "Dump ASCII table of X Y [Z] values to output",
  	  100, 100, 1, 1,
***************
*** 664,670 ****
  	  1, 1, options_null, UNKNOWN_null, UNKNOWN_null, 
  	  UNKNOWN_null, null_scale, UNKNOWN_null, UNKNOWN_null, UNKNOWN_null, 
  	  UNKNOWN_null, UNKNOWN_null, null_text_angle, 
! 	  null_justify_text, UNKNOWN_null, UNKNOWN_null}
  
  #ifdef AMIGASCREEN
      ,{"amiga", "Amiga Custom Screen",
--- 715,722 ----
  	  1, 1, options_null, UNKNOWN_null, UNKNOWN_null, 
  	  UNKNOWN_null, null_scale, UNKNOWN_null, UNKNOWN_null, UNKNOWN_null, 
  	  UNKNOWN_null, UNKNOWN_null, null_text_angle, 
! 	  null_justify_text, UNKNOWN_null, UNKNOWN_null, NO_FILL,
! 	  R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
  #ifdef AMIGASCREEN
      ,{"amiga", "Amiga Custom Screen",
***************
*** 672,678 ****
  	   AMIGA_VTIC, AMIGA_HTIC, options_null, AMIGA_init, AMIGA_reset, 
  	   AMIGA_text, null_scale, AMIGA_graphics, AMIGA_move, AMIGA_vector,
  	   AMIGA_linetype, AMIGA_put_text, null_text_angle, 
! 	   AMIGA_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef ATARI
--- 724,731 ----
  	   AMIGA_VTIC, AMIGA_HTIC, options_null, AMIGA_init, AMIGA_reset, 
  	   AMIGA_text, null_scale, AMIGA_graphics, AMIGA_move, AMIGA_vector,
  	   AMIGA_linetype, AMIGA_put_text, null_text_angle, 
! 	   AMIGA_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef ATARI
***************
*** 681,687 ****
  	   ATARI_VTIC, ATARI_HTIC, ATARI_options, ATARI_init, ATARI_reset, 
  	   ATARI_text, null_scale, ATARI_graphics, ATARI_move, ATARI_vector, 
  	   ATARI_linetype, ATARI_put_text, ATARI_text_angle, 
! 	   null_justify_text, ATARI_point, do_arrow}
  #endif
  
  #ifdef DUMB
--- 734,741 ----
  	   ATARI_VTIC, ATARI_HTIC, ATARI_options, ATARI_init, ATARI_reset, 
  	   ATARI_text, null_scale, ATARI_graphics, ATARI_move, ATARI_vector, 
  	   ATARI_linetype, ATARI_put_text, ATARI_text_angle, 
! 	   null_justify_text, ATARI_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef DUMB
***************
*** 690,696 ****
           1, 1, DUMB_options, DUMB_init, DUMB_reset,
           DUMB_text, null_scale, DUMB_graphics, DUMB_move, DUMB_vector,
           DUMB_linetype, DUMB_put_text, null_text_angle,
!          null_justify_text, DUMB_point, DUMB_arrow}
  #endif
  
  #ifdef PC
--- 744,751 ----
           1, 1, DUMB_options, DUMB_init, DUMB_reset,
           DUMB_text, null_scale, DUMB_graphics, DUMB_move, DUMB_vector,
           DUMB_linetype, DUMB_put_text, null_text_angle,
!          null_justify_text, DUMB_point, DUMB_arrow, do_fill,
!          R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef PC
***************
*** 702,708 ****
  	   ATT_VTIC, ATT_HTIC, options_null, ATT_init, ATT_reset,
  	   ATT_text, null_scale, ATT_graphics, ATT_move, ATT_vector,
  	   ATT_linetype, ATT_put_text, ATT_text_angle, 
! 	   ATT_justify_text, line_and_point, do_arrow}
  #endif
  
      ,{"cga", "IBM PC/Clone with CGA graphics board",
--- 757,764 ----
  	   ATT_VTIC, ATT_HTIC, options_null, ATT_init, ATT_reset,
  	   ATT_text, null_scale, ATT_graphics, ATT_move, ATT_vector,
  	   ATT_linetype, ATT_put_text, ATT_text_angle, 
! 	   ATT_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
      ,{"cga", "IBM PC/Clone with CGA graphics board",
***************
*** 710,716 ****
  	   CGA_VTIC, CGA_HTIC, options_null, CGA_init, CGA_reset,
  	   CGA_text, null_scale, CGA_graphics, CGA_move, CGA_vector,
  	   CGA_linetype, CGA_put_text, MCGA_text_angle, 
! 	   CGA_justify_text, line_and_point, do_arrow}
  
      ,{"egalib", "IBM PC/Clone with EGA graphics board",
  	   EGALIB_XMAX, EGALIB_YMAX, EGALIB_VCHAR, EGALIB_HCHAR,
--- 766,773 ----
  	   CGA_VTIC, CGA_HTIC, options_null, CGA_init, CGA_reset,
  	   CGA_text, null_scale, CGA_graphics, CGA_move, CGA_vector,
  	   CGA_linetype, CGA_put_text, MCGA_text_angle, 
! 	   CGA_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
      ,{"egalib", "IBM PC/Clone with EGA graphics board",
  	   EGALIB_XMAX, EGALIB_YMAX, EGALIB_VCHAR, EGALIB_HCHAR,
***************
*** 717,723 ****
  	   EGALIB_VTIC, EGALIB_HTIC, options_null, EGALIB_init, EGALIB_reset,
  	   EGALIB_text, null_scale, EGALIB_graphics, EGALIB_move, EGALIB_vector,
  	   EGALIB_linetype, EGALIB_put_text, EGALIB_text_angle, 
! 	   EGALIB_justify_text, do_point, do_arrow}
  
      ,{"hercules", "IBM PC/Clone with Hercules graphics board",
  	   HERC_XMAX, HERC_YMAX, HERC_VCHAR, HERC_HCHAR,
--- 774,781 ----
  	   EGALIB_VTIC, EGALIB_HTIC, options_null, EGALIB_init, EGALIB_reset,
  	   EGALIB_text, null_scale, EGALIB_graphics, EGALIB_move, EGALIB_vector,
  	   EGALIB_linetype, EGALIB_put_text, EGALIB_text_angle, 
! 	   EGALIB_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
      ,{"hercules", "IBM PC/Clone with Hercules graphics board",
  	   HERC_XMAX, HERC_YMAX, HERC_VCHAR, HERC_HCHAR,
***************
*** 724,730 ****
  	   HERC_VTIC, HERC_HTIC, options_null, HERC_init, HERC_reset,
  	   HERC_text, null_scale, HERC_graphics, HERC_move, HERC_vector,
  	   HERC_linetype, HERC_put_text, MCGA_text_angle, 
! 	   HERC_justify_text, line_and_point, do_arrow}
  
      ,{"mcga", "IBM PC/Clone with MCGA graphics board",
  	   MCGA_XMAX, MCGA_YMAX, MCGA_VCHAR, MCGA_HCHAR,
--- 782,789 ----
  	   HERC_VTIC, HERC_HTIC, options_null, HERC_init, HERC_reset,
  	   HERC_text, null_scale, HERC_graphics, HERC_move, HERC_vector,
  	   HERC_linetype, HERC_put_text, MCGA_text_angle, 
! 	   HERC_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
      ,{"mcga", "IBM PC/Clone with MCGA graphics board",
  	   MCGA_XMAX, MCGA_YMAX, MCGA_VCHAR, MCGA_HCHAR,
***************
*** 731,737 ****
  	   MCGA_VTIC, MCGA_HTIC, options_null, MCGA_init, MCGA_reset,
  	   MCGA_text, null_scale, MCGA_graphics, MCGA_move, MCGA_vector,
  	   MCGA_linetype, MCGA_put_text, MCGA_text_angle, 
! 	   MCGA_justify_text, line_and_point, do_arrow}
  
      ,{"svga", "IBM PC/Clone with Super VGA graphics board",
  	   SVGA_XMAX, SVGA_YMAX, SVGA_VCHAR, SVGA_HCHAR,
--- 790,797 ----
  	   MCGA_VTIC, MCGA_HTIC, options_null, MCGA_init, MCGA_reset,
  	   MCGA_text, null_scale, MCGA_graphics, MCGA_move, MCGA_vector,
  	   MCGA_linetype, MCGA_put_text, MCGA_text_angle, 
! 	   MCGA_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
      ,{"svga", "IBM PC/Clone with Super VGA graphics board",
  	   SVGA_XMAX, SVGA_YMAX, SVGA_VCHAR, SVGA_HCHAR,
***************
*** 738,744 ****
  	   SVGA_VTIC, SVGA_HTIC, options_null, SVGA_init, SVGA_reset,
  	   SVGA_text, null_scale, SVGA_graphics, SVGA_move, SVGA_vector,
  	   SVGA_linetype, SVGA_put_text, SVGA_text_angle, 
! 	   SVGA_justify_text, do_point, do_arrow}
  
      ,{"vgalib", "IBM PC/Clone with VGA graphics board",
  	   VGA_XMAX, VGA_YMAX, VGA_VCHAR, VGA_HCHAR,
--- 798,805 ----
  	   SVGA_VTIC, SVGA_HTIC, options_null, SVGA_init, SVGA_reset,
  	   SVGA_text, null_scale, SVGA_graphics, SVGA_move, SVGA_vector,
  	   SVGA_linetype, SVGA_put_text, SVGA_text_angle, 
! 	   SVGA_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
      ,{"vgalib", "IBM PC/Clone with VGA graphics board",
  	   VGA_XMAX, VGA_YMAX, VGA_VCHAR, VGA_HCHAR,
***************
*** 745,751 ****
  	   VGA_VTIC, VGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, VGA_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
! 	   VGA_justify_text, do_point, do_arrow}
  
      ,{"vgamono", "IBM PC/Clone with VGA Monochrome graphics board",
  	   VGA_XMAX, VGA_YMAX, VGA_VCHAR, VGA_HCHAR,
--- 806,813 ----
  	   VGA_VTIC, VGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, VGA_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
! 	   VGA_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
      ,{"vgamono", "IBM PC/Clone with VGA Monochrome graphics board",
  	   VGA_XMAX, VGA_YMAX, VGA_VCHAR, VGA_HCHAR,
***************
*** 752,758 ****
  	   VGA_VTIC, VGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, VGA_graphics, VGA_move, VGA_vector,
  	   VGAMONO_linetype, VGA_put_text, VGA_text_angle, 
! 	   VGA_justify_text, line_and_point, do_arrow}
  #else					/* TURBO */
  
  #ifdef ATT6300
--- 814,821 ----
  	   VGA_VTIC, VGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, VGA_graphics, VGA_move, VGA_vector,
  	   VGAMONO_linetype, VGA_put_text, VGA_text_angle, 
! 	   VGA_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #else					/* TURBO */
  
  #ifdef ATT6300
***************
*** 761,767 ****
  	   ATT_VTIC, ATT_HTIC, options_null, ATT_init, ATT_reset,
  	   ATT_text, null_scale, ATT_graphics, ATT_move, ATT_vector,
  	   ATT_linetype, ATT_put_text, ATT_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif
  
      ,{"cga", "IBM PC/Clone with CGA graphics board",
--- 824,831 ----
  	   ATT_VTIC, ATT_HTIC, options_null, ATT_init, ATT_reset,
  	   ATT_text, null_scale, ATT_graphics, ATT_move, ATT_vector,
  	   ATT_linetype, ATT_put_text, ATT_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
      ,{"cga", "IBM PC/Clone with CGA graphics board",
***************
*** 769,775 ****
  	   CGA_VTIC, CGA_HTIC, options_null, CGA_init, CGA_reset,
  	   CGA_text, null_scale, CGA_graphics, CGA_move, CGA_vector,
  	   CGA_linetype, CGA_put_text, CGA_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  
  #ifdef CORONA
      ,{"corona325", "Corona graphics ???",
--- 833,840 ----
  	   CGA_VTIC, CGA_HTIC, options_null, CGA_init, CGA_reset,
  	   CGA_text, null_scale, CGA_graphics, CGA_move, CGA_vector,
  	   CGA_linetype, CGA_put_text, CGA_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
  #ifdef CORONA
      ,{"corona325", "Corona graphics ???",
***************
*** 777,783 ****
  	   COR_VTIC, COR_HTIC, options_null, COR_init, COR_reset,
  	   COR_text, null_scale, COR_graphics, COR_move, COR_vector,
  	   COR_linetype, COR_put_text, COR_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif					/* CORONA */
  
      ,{"egabios", "IBM PC/Clone with EGA graphics board (BIOS)",
--- 842,849 ----
  	   COR_VTIC, COR_HTIC, options_null, COR_init, COR_reset,
  	   COR_text, null_scale, COR_graphics, COR_move, COR_vector,
  	   COR_linetype, COR_put_text, COR_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif					/* CORONA */
  
      ,{"egabios", "IBM PC/Clone with EGA graphics board (BIOS)",
***************
*** 785,791 ****
  	   EGA_VTIC, EGA_HTIC, options_null, EGA_init, EGA_reset,
  	   EGA_text, null_scale, EGA_graphics, EGA_move, EGA_vector,
  	   EGA_linetype, EGA_put_text, EGA_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
  
  #ifdef EGALIB
      ,{"egalib", "IBM PC/Clone with EGA graphics board (LIB)",
--- 851,858 ----
  	   EGA_VTIC, EGA_HTIC, options_null, EGA_init, EGA_reset,
  	   EGA_text, null_scale, EGA_graphics, EGA_move, EGA_vector,
  	   EGA_linetype, EGA_put_text, EGA_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
  #ifdef EGALIB
      ,{"egalib", "IBM PC/Clone with EGA graphics board (LIB)",
***************
*** 793,799 ****
  	   EGALIB_VTIC, EGALIB_HTIC, options_null, EGALIB_init, EGALIB_reset,
  	   EGALIB_text, null_scale, EGALIB_graphics, EGALIB_move, EGALIB_vector,
  	   EGALIB_linetype, EGALIB_put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef HERCULES
--- 860,867 ----
  	   EGALIB_VTIC, EGALIB_HTIC, options_null, EGALIB_init, EGALIB_reset,
  	   EGALIB_text, null_scale, EGALIB_graphics, EGALIB_move, EGALIB_vector,
  	   EGALIB_linetype, EGALIB_put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef HERCULES
***************
*** 802,808 ****
  	   HERC_VTIC, HERC_HTIC, options_null, HERC_init, HERC_reset,
  	   HERC_text, null_scale, HERC_graphics, HERC_move, HERC_vector,
  	   HERC_linetype, HERC_put_text, HERC_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif					/* HERCULES */
  
      ,{"vgabios", "IBM PC/Clone with VGA graphics board (BIOS)",
--- 870,877 ----
  	   HERC_VTIC, HERC_HTIC, options_null, HERC_init, HERC_reset,
  	   HERC_text, null_scale, HERC_graphics, HERC_move, HERC_vector,
  	   HERC_linetype, HERC_put_text, HERC_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif					/* HERCULES */
  
      ,{"vgabios", "IBM PC/Clone with VGA graphics board (BIOS)",
***************
*** 810,816 ****
  	   VGA_VTIC, VGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, VGA_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
  
  #endif					/* TURBO */
  #endif					/* _Windows */
--- 879,886 ----
  	   VGA_VTIC, VGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, VGA_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
  #endif					/* TURBO */
  #endif					/* _Windows */
***************
*** 822,828 ****
  	   HERC_VTIC, HERC_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, HERC_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
!        VGA_justify_text, do_point, do_arrow}
  
  	,{"egamono", "IBM PC/Clone with monochrome EGA graphics board",
  	   EGA_XMAX, EGA_YMAX, EGA_VCHAR, EGA_HCHAR,
--- 892,899 ----
  	   HERC_VTIC, HERC_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, HERC_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
!        VGA_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
  	,{"egamono", "IBM PC/Clone with monochrome EGA graphics board",
  	   EGA_XMAX, EGA_YMAX, EGA_VCHAR, EGA_HCHAR,
***************
*** 829,835 ****
  	   EGA_VTIC, EGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, EGAMONO_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
!        VGA_justify_text, do_point, do_arrow}
  
  	,{"egalib", "IBM PC/Clone with color EGA graphics board",
  	   EGA_XMAX, EGA_YMAX, EGA_VCHAR, EGA_HCHAR,
--- 900,907 ----
  	   EGA_VTIC, EGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, EGAMONO_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
!        VGA_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
  	,{"egalib", "IBM PC/Clone with color EGA graphics board",
  	   EGA_XMAX, EGA_YMAX, EGA_VCHAR, EGA_HCHAR,
***************
*** 836,842 ****
  	   EGA_VTIC, EGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, EGA_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
!        VGA_justify_text, do_point, do_arrow}
  
  	,{"vgalib", "IBM PC/Clone with VGA graphics board",
  	   VGA_XMAX, VGA_YMAX, VGA_VCHAR, VGA_HCHAR,
--- 908,915 ----
  	   EGA_VTIC, EGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, EGA_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
!        VGA_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
  	,{"vgalib", "IBM PC/Clone with VGA graphics board",
  	   VGA_XMAX, VGA_YMAX, VGA_VCHAR, VGA_HCHAR,
***************
*** 843,849 ****
  	   VGA_VTIC, VGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, VGA_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
!        VGA_justify_text, do_point, do_arrow}
  
  	,{"vgamono", "IBM PC/Clone with monochrome VGA graphics board",
  	   VGA_XMAX, VGA_YMAX, VGA_VCHAR, VGA_HCHAR,
--- 916,923 ----
  	   VGA_VTIC, VGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, VGA_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
!        VGA_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
  	,{"vgamono", "IBM PC/Clone with monochrome VGA graphics board",
  	   VGA_XMAX, VGA_YMAX, VGA_VCHAR, VGA_HCHAR,
***************
*** 850,856 ****
  	   VGA_VTIC, VGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, VGAMONO_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
!        VGA_justify_text, do_point, do_arrow}
  
  	,{"svgalib", "IBM PC/Clone with VESA Super VGA graphics board",
  	   SVGA_XMAX, SVGA_YMAX, SVGA_VCHAR, SVGA_HCHAR,
--- 924,931 ----
  	   VGA_VTIC, VGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, VGAMONO_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
!        VGA_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
  	,{"svgalib", "IBM PC/Clone with VESA Super VGA graphics board",
  	   SVGA_XMAX, SVGA_YMAX, SVGA_VCHAR, SVGA_HCHAR,
***************
*** 857,863 ****
  	   SVGA_VTIC, SVGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, SVGA_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
! 	   VGA_justify_text, do_point, do_arrow}
  
  	,{"ssvgalib", "IBM PC/Clone with VESA 256 color 1024 by 768 super VGA",
  	   SSVGA_XMAX, SSVGA_YMAX, SSVGA_VCHAR, SSVGA_HCHAR,
--- 932,939 ----
  	   SVGA_VTIC, SVGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, SVGA_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
! 	   VGA_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
  	,{"ssvgalib", "IBM PC/Clone with VESA 256 color 1024 by 768 super VGA",
  	   SSVGA_XMAX, SSVGA_YMAX, SSVGA_VCHAR, SSVGA_HCHAR,
***************
*** 864,870 ****
  	   SSVGA_VTIC, SSVGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, SSVGA_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
!        VGA_justify_text, do_point, do_arrow}
  #endif	/* __ZTC__ */
  
  #ifdef AED
--- 940,947 ----
  	   SSVGA_VTIC, SSVGA_HTIC, options_null, VGA_init, VGA_reset,
  	   VGA_text, null_scale, SSVGA_graphics, VGA_move, VGA_vector,
  	   VGA_linetype, VGA_put_text, VGA_text_angle, 
!        VGA_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif	/* __ZTC__ */
  
  #ifdef AED
***************
*** 873,885 ****
  	   AED_VTIC, AED_HTIC, options_null, AED_init, AED_reset, 
  	   AED_text, null_scale, AED_graphics, AED_move, AED_vector, 
  	   AED_linetype, AED_put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
      ,{"aed767", "AED 767 Terminal",
  	   AED_XMAX, AED_YMAX, AED_VCHAR, AED_HCHAR,
  	   AED_VTIC, AED_HTIC, options_null, AED_init, AED_reset, 
  	   AED_text, null_scale, AED_graphics, AED_move, AED_vector, 
  	   AED_linetype, AED_put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef AIFM
--- 950,964 ----
  	   AED_VTIC, AED_HTIC, options_null, AED_init, AED_reset, 
  	   AED_text, null_scale, AED_graphics, AED_move, AED_vector, 
  	   AED_linetype, AED_put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
      ,{"aed767", "AED 767 Terminal",
  	   AED_XMAX, AED_YMAX, AED_VCHAR, AED_HCHAR,
  	   AED_VTIC, AED_HTIC, options_null, AED_init, AED_reset, 
  	   AED_text, null_scale, AED_graphics, AED_move, AED_vector, 
  	   AED_linetype, AED_put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef AIFM
***************
*** 888,894 ****
  	   AI_VTIC, AI_HTIC, AI_options, AI_init, AI_reset, 
  	   AI_text, null_scale, AI_graphics, AI_move, AI_vector, 
  	   AI_linetype, AI_put_text, AI_text_angle, 
! 	   AI_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef APOLLO
--- 967,974 ----
  	   AI_VTIC, AI_HTIC, AI_options, AI_init, AI_reset, 
  	   AI_text, null_scale, AI_graphics, AI_move, AI_vector, 
  	   AI_linetype, AI_put_text, AI_text_angle, 
! 	   AI_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef APOLLO
***************
*** 897,903 ****
  	   APOLLO_VTIC, APOLLO_HTIC, options_null, APOLLO_init, APOLLO_reset,
  	   APOLLO_text, null_scale, APOLLO_graphics, APOLLO_move, APOLLO_vector,
  	   APOLLO_linetype, APOLLO_put_text, APOLLO_text_angle,
! 	   APOLLO_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef GPR
--- 977,984 ----
  	   APOLLO_VTIC, APOLLO_HTIC, options_null, APOLLO_init, APOLLO_reset,
  	   APOLLO_text, null_scale, APOLLO_graphics, APOLLO_move, APOLLO_vector,
  	   APOLLO_linetype, APOLLO_put_text, APOLLO_text_angle,
! 	   APOLLO_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef GPR
***************
*** 906,912 ****
  	   GPR_VTIC, GPR_HTIC, options_null, GPR_init, GPR_reset,
  	   GPR_text, null_scale, GPR_graphics, GPR_move, GPR_vector,
  	   GPR_linetype, GPR_put_text, GPR_text_angle,
! 	   GPR_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef BITGRAPH
--- 987,994 ----
  	   GPR_VTIC, GPR_HTIC, options_null, GPR_init, GPR_reset,
  	   GPR_text, null_scale, GPR_graphics, GPR_move, GPR_vector,
  	   GPR_linetype, GPR_put_text, GPR_text_angle,
! 	   GPR_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef BITGRAPH
***************
*** 915,921 ****
  	   BG_VTIC, BG_HTIC, options_null, BG_init, BG_reset, 
  	   BG_text, null_scale, BG_graphics, BG_move, BG_vector,
  	   BG_linetype, BG_put_text, null_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef COREL
--- 997,1004 ----
  	   BG_VTIC, BG_HTIC, options_null, BG_init, BG_reset, 
  	   BG_text, null_scale, BG_graphics, BG_move, BG_vector,
  	   BG_linetype, BG_put_text, null_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef COREL
***************
*** 924,932 ****
       CORELD_VTIC, CORELD_HTIC, COREL_options, COREL_init, COREL_reset,
       COREL_text, null_scale, COREL_graphics, COREL_move, COREL_vector,
       COREL_linetype, COREL_put_text, COREL_text_angle,
!      COREL_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef CGI
      ,{"cgi", "SCO CGI drivers (requires CGIDISP or CGIPRNT env variable)",
  	   CGI_XMAX, CGI_YMAX, 0, 0, 
--- 1007,1017 ----
       CORELD_VTIC, CORELD_HTIC, COREL_options, COREL_init, COREL_reset,
       COREL_text, null_scale, COREL_graphics, COREL_move, COREL_vector,
       COREL_linetype, COREL_put_text, COREL_text_angle,
!      COREL_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
+ 
  #ifdef CGI
      ,{"cgi", "SCO CGI drivers (requires CGIDISP or CGIPRNT env variable)",
  	   CGI_XMAX, CGI_YMAX, 0, 0, 
***************
*** 933,939 ****
  	   CGI_VTIC, 0, options_null, CGI_init, CGI_reset, 
  	   CGI_text, null_scale, CGI_graphics, CGI_move, CGI_vector, 
  	   CGI_linetype, CGI_put_text, CGI_text_angle, 
! 	   CGI_justify_text, CGI_point, do_arrow}
  
      ,{"hcgi", "SCO CGI drivers (hardcopy, requires CGIPRNT env variable)",
  	   CGI_XMAX, CGI_YMAX, 0, 0, 
--- 1018,1025 ----
  	   CGI_VTIC, 0, options_null, CGI_init, CGI_reset, 
  	   CGI_text, null_scale, CGI_graphics, CGI_move, CGI_vector, 
  	   CGI_linetype, CGI_put_text, CGI_text_angle, 
! 	   CGI_justify_text, CGI_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  
      ,{"hcgi", "SCO CGI drivers (hardcopy, requires CGIPRNT env variable)",
  	   CGI_XMAX, CGI_YMAX, 0, 0, 
***************
*** 940,946 ****
  	   CGI_VTIC, 0, options_null, HCGI_init, CGI_reset, 
  	   CGI_text, null_scale, CGI_graphics, CGI_move, CGI_vector, 
  	   CGI_linetype, CGI_put_text, CGI_text_angle, 
! 	   CGI_justify_text, CGI_point, do_arrow}
  #endif
  
  #ifdef DEBUG
--- 1026,1033 ----
  	   CGI_VTIC, 0, options_null, HCGI_init, CGI_reset, 
  	   CGI_text, null_scale, CGI_graphics, CGI_move, CGI_vector, 
  	   CGI_linetype, CGI_put_text, CGI_text_angle, 
! 	   CGI_justify_text, CGI_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef DEBUG
***************
*** 949,955 ****
  	   DEBUG_VTIC, DEBUG_HTIC, options_null, DEBUG_init, DEBUG_reset,
  	   DEBUG_text, null_scale, DEBUG_graphics, DEBUG_move, DEBUG_vector,
  	   DEBUG_linetype, DEBUG_put_text, null_text_angle, 
! 	   DEBUG_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef DJSVGA
--- 1036,1043 ----
  	   DEBUG_VTIC, DEBUG_HTIC, options_null, DEBUG_init, DEBUG_reset,
  	   DEBUG_text, null_scale, DEBUG_graphics, DEBUG_move, DEBUG_vector,
  	   DEBUG_linetype, DEBUG_put_text, null_text_angle, 
! 	   DEBUG_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef DJSVGA
***************
*** 958,964 ****
  	   DJSVGA_VTIC, DJSVGA_HTIC, options_null, DJSVGA_init, DJSVGA_reset,
  	   DJSVGA_text, null_scale, DJSVGA_graphics, DJSVGA_move, DJSVGA_vector,
  	   DJSVGA_linetype, DJSVGA_put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef DXF
--- 1046,1053 ----
  	   DJSVGA_VTIC, DJSVGA_HTIC, options_null, DJSVGA_init, DJSVGA_reset,
  	   DJSVGA_text, null_scale, DJSVGA_graphics, DJSVGA_move, DJSVGA_vector,
  	   DJSVGA_linetype, DJSVGA_put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef DXF
***************
*** 967,973 ****
         DXF_VTIC, DXF_HTIC, options_null,DXF_init, DXF_reset,
         DXF_text, null_scale, DXF_graphics, DXF_move, DXF_vector,
         DXF_linetype, DXF_put_text, DXF_text_angle,
!        DXF_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef DXY800A
--- 1056,1063 ----
         DXF_VTIC, DXF_HTIC, options_null,DXF_init, DXF_reset,
         DXF_text, null_scale, DXF_graphics, DXF_move, DXF_vector,
         DXF_linetype, DXF_put_text, DXF_text_angle,
!        DXF_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef DXY800A
***************
*** 976,982 ****
  	   DXY_VTIC, DXY_HTIC, options_null, DXY_init, DXY_reset,
  	   DXY_text, null_scale, DXY_graphics, DXY_move, DXY_vector,
  	   DXY_linetype, DXY_put_text, DXY_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef EEPIC
--- 1066,1073 ----
  	   DXY_VTIC, DXY_HTIC, options_null, DXY_init, DXY_reset,
  	   DXY_text, null_scale, DXY_graphics, DXY_move, DXY_vector,
  	   DXY_linetype, DXY_put_text, DXY_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef EEPIC
***************
*** 985,991 ****
  	   EEPIC_VTIC, EEPIC_HTIC, options_null, EEPIC_init, EEPIC_reset, 
  	   EEPIC_text, EEPIC_scale, EEPIC_graphics, EEPIC_move, EEPIC_vector, 
  	   EEPIC_linetype, EEPIC_put_text, EEPIC_text_angle, 
! 	   EEPIC_justify_text, EEPIC_point, EEPIC_arrow}
  #endif
  
  #ifdef EMTEX
--- 1076,1083 ----
  	   EEPIC_VTIC, EEPIC_HTIC, options_null, EEPIC_init, EEPIC_reset, 
  	   EEPIC_text, EEPIC_scale, EEPIC_graphics, EEPIC_move, EEPIC_vector, 
  	   EEPIC_linetype, EEPIC_put_text, EEPIC_text_angle, 
! 	   EEPIC_justify_text, EEPIC_point, EEPIC_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef EMTEX
***************
*** 994,1000 ****
  	   LATEX_VTIC, LATEX_HTIC, LATEX_options, EMTEX_init, EMTEX_reset, 
  	   EMTEX_text, LATEX_scale, LATEX_graphics, LATEX_move, LATEX_vector, 
  	   LATEX_linetype, LATEX_put_text, LATEX_text_angle, 
! 	   LATEX_justify_text, LATEX_point, LATEX_arrow}
  #endif
  
  #ifdef EPS180
--- 1086,1093 ----
  	   LATEX_VTIC, LATEX_HTIC, LATEX_options, EMTEX_init, EMTEX_reset, 
  	   EMTEX_text, LATEX_scale, LATEX_graphics, LATEX_move, LATEX_vector, 
  	   LATEX_linetype, LATEX_put_text, LATEX_text_angle, 
! 	   LATEX_justify_text, LATEX_point, LATEX_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef EPS180
***************
*** 1003,1009 ****
  	   EPSON180VTIC, EPSON180HTIC, options_null, EPSONinit, EPSONreset,
  	   EPS180text, null_scale, EPS180graphics, EPSONmove, EPSONvector,
  	   EPSONlinetype, EPSONput_text, EPSON_text_angle,
! 	   null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef EPS60
--- 1096,1103 ----
  	   EPSON180VTIC, EPSON180HTIC, options_null, EPSONinit, EPSONreset,
  	   EPS180text, null_scale, EPS180graphics, EPSONmove, EPSONvector,
  	   EPSONlinetype, EPSONput_text, EPSON_text_angle,
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef EPS60
***************
*** 1012,1018 ****
  	   EPSONVTIC, EPSONHTIC, options_null, EPSONinit, EPSONreset,
  	   EPS60text, null_scale, EPS60graphics, EPSONmove, EPSONvector,
  	   EPSONlinetype, EPSONput_text, EPSON_text_angle,
! 	   null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef EPSONP
--- 1106,1113 ----
  	   EPSONVTIC, EPSONHTIC, options_null, EPSONinit, EPSONreset,
  	   EPS60text, null_scale, EPS60graphics, EPSONmove, EPSONvector,
  	   EPSONlinetype, EPSONput_text, EPSON_text_angle,
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef EPSONP
***************
*** 1021,1027 ****
  	   EPSONVTIC, EPSONHTIC, options_null, EPSONinit, EPSONreset, 
  	   EPSONtext, null_scale, EPSONgraphics, EPSONmove, EPSONvector, 
  	   EPSONlinetype, EPSONput_text, EPSON_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef EXCL
--- 1116,1123 ----
  	   EPSONVTIC, EPSONHTIC, options_null, EPSONinit, EPSONreset, 
  	   EPSONtext, null_scale, EPSONgraphics, EPSONmove, EPSONvector, 
  	   EPSONlinetype, EPSONput_text, EPSON_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef EXCL
***************
*** 1030,1036 ****
  	   EXCL_VTIC, EXCL_HTIC, options_null, EXCL_init,EXCL_reset, 
  	   EXCL_text, null_scale, EXCL_graphics, EXCL_move, EXCL_vector,
  	   EXCL_linetype,EXCL_put_text, null_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif
  
  
--- 1126,1133 ----
  	   EXCL_VTIC, EXCL_HTIC, options_null, EXCL_init,EXCL_reset, 
  	   EXCL_text, null_scale, EXCL_graphics, EXCL_move, EXCL_vector,
  	   EXCL_linetype,EXCL_put_text, null_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  
***************
*** 1040,1052 ****
  	   FIG_VTIC, FIG_HTIC, FIG_options, FIG_init, FIG_reset, 
  	   FIG_text, null_scale, FIG_graphics, FIG_move, FIG_vector, 
  	   FIG_linetype, FIG_put_text, FIG_text_angle, 
! 	   FIG_justify_text, line_and_point, FIG_arrow}
      ,{"bfig", "FIG 2.1 graphics lang: SunView or X graphics editor. Large Graph",
  	   BFIG_XMAX, BFIG_YMAX, BFIG_VCHAR, BFIG_HCHAR, 
  	   BFIG_VTIC, BFIG_HTIC, FIG_options, FIG_init, FIG_reset, 
  	   FIG_text, null_scale, FIG_graphics, FIG_move, BFIG_vector, 
  	   FIG_linetype, BFIG_put_text, FIG_text_angle, 
! 	   FIG_justify_text, line_and_point, BFIG_arrow}
  #endif
  
  #ifdef GPIC
--- 1137,1151 ----
  	   FIG_VTIC, FIG_HTIC, FIG_options, FIG_init, FIG_reset, 
  	   FIG_text, null_scale, FIG_graphics, FIG_move, FIG_vector, 
  	   FIG_linetype, FIG_put_text, FIG_text_angle, 
! 	   FIG_justify_text, line_and_point, FIG_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
      ,{"bfig", "FIG 2.1 graphics lang: SunView or X graphics editor. Large Graph",
  	   BFIG_XMAX, BFIG_YMAX, BFIG_VCHAR, BFIG_HCHAR, 
  	   BFIG_VTIC, BFIG_HTIC, FIG_options, FIG_init, FIG_reset, 
  	   FIG_text, null_scale, FIG_graphics, FIG_move, BFIG_vector, 
  	   FIG_linetype, BFIG_put_text, FIG_text_angle, 
! 	   FIG_justify_text, line_and_point, BFIG_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef GPIC
***************
*** 1055,1061 ****
  	   GPIC_VTIC, GPIC_HTIC, GPIC_options, GPIC_init, GPIC_reset, 
  	   GPIC_text, GPIC_scale, GPIC_graphics, GPIC_move, GPIC_vector, 
  	   GPIC_linetype, GPIC_put_text, GPIC_text_angle, 
! 	   GPIC_justify_text, line_and_point, GPIC_arrow}
  #endif
  
  #ifdef GRASS
--- 1154,1161 ----
  	   GPIC_VTIC, GPIC_HTIC, GPIC_options, GPIC_init, GPIC_reset, 
  	   GPIC_text, GPIC_scale, GPIC_graphics, GPIC_move, GPIC_vector, 
  	   GPIC_linetype, GPIC_put_text, GPIC_text_angle, 
! 	   GPIC_justify_text, line_and_point, GPIC_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef GRASS
***************
*** 1064,1070 ****
             GRASS_VTIC, GRASS_HTIC, GRASS_options, GRASS_init, GRASS_reset,
             GRASS_text, null_scale, GRASS_graphics, GRASS_move, GRASS_vector,
             GRASS_linetype, GRASS_put_text, GRASS_text_angle,
!            GRASS_justify_text, GRASS_point, GRASS_arrow}
  #endif
  
  #ifdef HP26
--- 1164,1171 ----
             GRASS_VTIC, GRASS_HTIC, GRASS_options, GRASS_init, GRASS_reset,
             GRASS_text, null_scale, GRASS_graphics, GRASS_move, GRASS_vector,
             GRASS_linetype, GRASS_put_text, GRASS_text_angle,
!            GRASS_justify_text, GRASS_point, GRASS_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef HP26
***************
*** 1073,1079 ****
  	   HP26_VTIC, HP26_HTIC, options_null, HP26_init, HP26_reset,
  	   HP26_text, null_scale, HP26_graphics, HP26_move, HP26_vector,
  	   HP26_linetype, HP26_put_text, HP26_text_angle, 
! 	   null_justify_text, HP26_line_and_point, do_arrow}
  #endif
  
  #ifdef HP2648
--- 1174,1181 ----
  	   HP26_VTIC, HP26_HTIC, options_null, HP26_init, HP26_reset,
  	   HP26_text, null_scale, HP26_graphics, HP26_move, HP26_vector,
  	   HP26_linetype, HP26_put_text, HP26_text_angle, 
! 	   null_justify_text, HP26_line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef HP2648
***************
*** 1082,1088 ****
  	   HP2648VTIC, HP2648HTIC, options_null, HP2648init, HP2648reset, 
  	   HP2648text, null_scale, HP2648graphics, HP2648move, HP2648vector, 
  	   HP2648linetype, HP2648put_text, HP2648_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef HP75
--- 1184,1191 ----
  	   HP2648VTIC, HP2648HTIC, options_null, HP2648init, HP2648reset, 
  	   HP2648text, null_scale, HP2648graphics, HP2648move, HP2648vector, 
  	   HP2648linetype, HP2648put_text, HP2648_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef HP75
***************
*** 1091,1097 ****
  	   HPGL_VTIC, HPGL_HTIC, options_null, HPGL_init, HPGL_reset,
  	   HPGL_text, null_scale, HPGL_graphics, HPGL_move, HPGL_vector,
  	   HP75_linetype, HPGL_put_text, HPGL_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef HP500C
--- 1194,1201 ----
  	   HPGL_VTIC, HPGL_HTIC, options_null, HPGL_init, HPGL_reset,
  	   HPGL_text, null_scale, HPGL_graphics, HPGL_move, HPGL_vector,
  	   HP75_linetype, HPGL_put_text, HPGL_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef HP500C
***************
*** 1101,1107 ****
         HP500Cinit, HP500Creset, HP500Ctext, null_scale,
         HP500Cgraphics, HP500Cmove, HP500Cvector, HP500Clinetype,
         HP500Cput_text, HP500Ctext_angle, null_justify_text, do_point,
!        do_arrow}
  #endif
  
  #ifdef HPGL
--- 1205,1212 ----
         HP500Cinit, HP500Creset, HP500Ctext, null_scale,
         HP500Cgraphics, HP500Cmove, HP500Cvector, HP500Clinetype,
         HP500Cput_text, HP500Ctext_angle, null_justify_text, do_point,
!        do_arrow, do_fill,
!        R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef HPGL
***************
*** 1110,1116 ****
  	   HPGL_VTIC, HPGL_HTIC, options_null, HPGL_init, HPGL_reset,
  	   HPGL_text, null_scale, HPGL_graphics, HPGL_move, HPGL_vector,
  	   HPGL_linetype, HPGL_put_text, HPGL_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef HPLJII
--- 1215,1222 ----
  	   HPGL_VTIC, HPGL_HTIC, options_null, HPGL_init, HPGL_reset,
  	   HPGL_text, null_scale, HPGL_graphics, HPGL_move, HPGL_vector,
  	   HPGL_linetype, HPGL_put_text, HPGL_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef HPLJII
***************
*** 1120,1126 ****
         HPLJIIinit, HPLJIIreset, HPLJIItext, null_scale,
         HPLJIIgraphics, HPLJIImove, HPLJIIvector, HPLJIIlinetype,
         HPLJIIput_text, HPLJIItext_angle, null_justify_text, line_and_point,
!        do_arrow}
      ,{"hpdj", "HP DeskJet 500, [75 100 150 300]",
         HPLJII_75PPI_XMAX, HPLJII_75PPI_YMAX, HPLJII_75PPI_VCHAR,
         HPLJII_75PPI_HCHAR, HPLJII_75PPI_VTIC, HPLJII_75PPI_HTIC, HPLJIIoptions,
--- 1226,1233 ----
         HPLJIIinit, HPLJIIreset, HPLJIItext, null_scale,
         HPLJIIgraphics, HPLJIImove, HPLJIIvector, HPLJIIlinetype,
         HPLJIIput_text, HPLJIItext_angle, null_justify_text, line_and_point,
!        do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
      ,{"hpdj", "HP DeskJet 500, [75 100 150 300]",
         HPLJII_75PPI_XMAX, HPLJII_75PPI_YMAX, HPLJII_75PPI_VCHAR,
         HPLJII_75PPI_HCHAR, HPLJII_75PPI_VTIC, HPLJII_75PPI_HTIC, HPLJIIoptions,
***************
*** 1127,1133 ****
         HPLJIIinit, HPLJIIreset, HPDJtext, null_scale,
         HPDJgraphics, HPLJIImove, HPLJIIvector, HPLJIIlinetype,
         HPDJput_text, HPDJtext_angle, null_justify_text, line_and_point,
!        do_arrow}
  #endif
  
  #ifdef HPPJ
--- 1234,1242 ----
         HPLJIIinit, HPLJIIreset, HPDJtext, null_scale,
         HPDJgraphics, HPLJIImove, HPLJIIvector, HPLJIIlinetype,
         HPDJput_text, HPDJtext_angle, null_justify_text, line_and_point,
!        do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
! 
  #endif
  
  #ifdef HPPJ
***************
*** 1136,1142 ****
         HPPJ_9x17_VCHAR, HPPJ_9x17_HCHAR, HPPJ_9x17_VTIC, HPPJ_9x17_HTIC,
         HPPJoptions, HPPJinit, HPPJreset, HPPJtext, null_scale, HPPJgraphics,
         HPPJmove, HPPJvector, HPPJlinetype, HPPJput_text, HPPJtext_angle,
!        null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef IMAGEN
--- 1245,1252 ----
         HPPJ_9x17_VCHAR, HPPJ_9x17_HCHAR, HPPJ_9x17_VTIC, HPPJ_9x17_HTIC,
         HPPJoptions, HPPJinit, HPPJreset, HPPJtext, null_scale, HPPJgraphics,
         HPPJmove, HPPJvector, HPPJlinetype, HPPJput_text, HPPJtext_angle,
!        null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef IMAGEN
***************
*** 1145,1151 ****
  	   IMAGEN_VTIC, IMAGEN_HTIC, options_null, IMAGEN_init, IMAGEN_reset, 
  	   IMAGEN_text, null_scale, IMAGEN_graphics, IMAGEN_move, 
  	   IMAGEN_vector, IMAGEN_linetype, IMAGEN_put_text, IMAGEN_text_angle,
! 	   IMAGEN_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef IRIS4D
--- 1255,1262 ----
  	   IMAGEN_VTIC, IMAGEN_HTIC, options_null, IMAGEN_init, IMAGEN_reset, 
  	   IMAGEN_text, null_scale, IMAGEN_graphics, IMAGEN_move, 
  	   IMAGEN_vector, IMAGEN_linetype, IMAGEN_put_text, IMAGEN_text_angle,
! 	   IMAGEN_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef IRIS4D
***************
*** 1154,1160 ****
  	   IRIS4D_VTIC, IRIS4D_HTIC, IRIS4D_options, IRIS4D_init, IRIS4D_reset, 
  	   IRIS4D_text, null_scale, IRIS4D_graphics, IRIS4D_move, IRIS4D_vector,
  	   IRIS4D_linetype, IRIS4D_put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef KERMIT
--- 1265,1272 ----
  	   IRIS4D_VTIC, IRIS4D_HTIC, IRIS4D_options, IRIS4D_init, IRIS4D_reset, 
  	   IRIS4D_text, null_scale, IRIS4D_graphics, IRIS4D_move, IRIS4D_vector,
  	   IRIS4D_linetype, IRIS4D_put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef KERMIT
***************
*** 1163,1175 ****
  	   TEK40VTIC, TEK40HTIC, options_null, TEK40init, KTEK40reset, 
  	   KTEK40Ctext, null_scale, KTEK40graphics, TEK40move, TEK40vector, 
  	   KTEK40Clinetype, TEK40put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
      ,{"km_tek40xx", "MS-DOS Kermit Tek4010 terminal emulator - monochrome",
  	   TEK40XMAX,TEK40YMAX,TEK40VCHAR, KTEK40HCHAR, 
  	   TEK40VTIC, TEK40HTIC, options_null, TEK40init, KTEK40reset, 
  	   TEK40text, null_scale, KTEK40graphics, TEK40move, TEK40vector, 
  	   KTEK40Mlinetype, TEK40put_text, null_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef LATEX
--- 1275,1289 ----
  	   TEK40VTIC, TEK40HTIC, options_null, TEK40init, KTEK40reset, 
  	   KTEK40Ctext, null_scale, KTEK40graphics, TEK40move, TEK40vector, 
  	   KTEK40Clinetype, TEK40put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
      ,{"km_tek40xx", "MS-DOS Kermit Tek4010 terminal emulator - monochrome",
  	   TEK40XMAX,TEK40YMAX,TEK40VCHAR, KTEK40HCHAR, 
  	   TEK40VTIC, TEK40HTIC, options_null, TEK40init, KTEK40reset, 
  	   TEK40text, null_scale, KTEK40graphics, TEK40move, TEK40vector, 
  	   KTEK40Mlinetype, TEK40put_text, null_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef LATEX
***************
*** 1178,1184 ****
  	   LATEX_VTIC, LATEX_HTIC, LATEX_options, LATEX_init, LATEX_reset, 
  	   LATEX_text, LATEX_scale, LATEX_graphics, LATEX_move, LATEX_vector, 
  	   LATEX_linetype, LATEX_put_text, LATEX_text_angle, 
! 	   LATEX_justify_text, LATEX_point, LATEX_arrow}
  #endif
  
  #ifdef LN03P
--- 1292,1299 ----
  	   LATEX_VTIC, LATEX_HTIC, LATEX_options, LATEX_init, LATEX_reset, 
  	   LATEX_text, LATEX_scale, LATEX_graphics, LATEX_move, LATEX_vector, 
  	   LATEX_linetype, LATEX_put_text, LATEX_text_angle, 
! 	   LATEX_justify_text, LATEX_point, LATEX_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef LN03P
***************
*** 1187,1193 ****
  	LN03PVTIC, LN03PHTIC, options_null, LN03Pinit, LN03Preset,
  	LN03Ptext, null_scale, TEK40graphics, LN03Pmove, LN03Pvector,
  	LN03Plinetype, LN03Pput_text, null_text_angle,
! 	null_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef MF
--- 1302,1309 ----
  	LN03PVTIC, LN03PHTIC, options_null, LN03Pinit, LN03Preset,
  	LN03Ptext, null_scale, TEK40graphics, LN03Pmove, LN03Pvector,
  	LN03Plinetype, LN03Pput_text, null_text_angle,
! 	null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef MF
***************
*** 1196,1202 ****
         MF_VTIC, MF_HTIC, options_null, MF_init, MF_reset, 
  	   MF_text, MF_scale, MF_graphics, MF_move, MF_vector, 
  	   MF_linetype, MF_put_text, MF_text_angle, 
! 	   MF_justify_text, line_and_point, MF_arrow}
  #endif
  
  #ifdef MGR
--- 1312,1319 ----
         MF_VTIC, MF_HTIC, options_null, MF_init, MF_reset, 
  	   MF_text, MF_scale, MF_graphics, MF_move, MF_vector, 
  	   MF_linetype, MF_put_text, MF_text_angle, 
! 	   MF_justify_text, line_and_point, MF_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef MGR
***************
*** 1206,1212 ****
  	   MGR_VTIC, MGR_HTIC, options_null, MGR_init, MGR_reset, 
  	   MGR_text, null_scale, MGR_graphics, MGR_move, MGR_vector,
  	   MGR_linetype, MGR_put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef MIF
--- 1323,1330 ----
  	   MGR_VTIC, MGR_HTIC, options_null, MGR_init, MGR_reset, 
  	   MGR_text, null_scale, MGR_graphics, MGR_move, MGR_vector,
  	   MGR_linetype, MGR_put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef MIF
***************
*** 1215,1221 ****
   	    MIF_VTIC, MIF_HTIC, MIF_options, MIF_init, MIF_reset, 
  	    MIF_text, null_scale, MIF_graphics, MIF_move, MIF_vector, 
  	    MIF_linetype, MIF_put_text, MIF_text_angle, 
! 	    MIF_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef NEC
--- 1333,1340 ----
   	    MIF_VTIC, MIF_HTIC, MIF_options, MIF_init, MIF_reset, 
  	    MIF_text, null_scale, MIF_graphics, MIF_move, MIF_vector, 
  	    MIF_linetype, MIF_put_text, MIF_text_angle, 
! 	    MIF_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef NEC
***************
*** 1224,1230 ****
  	   NECVTIC, NECHTIC, NECoptions, NECinit, NECreset, 
  	   NECtext, null_scale, NECgraphics, NECmove, NECvector, 
  	   NEClinetype, NECput_text, NEC_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef NEXT
--- 1343,1350 ----
  	   NECVTIC, NECHTIC, NECoptions, NECinit, NECreset, 
  	   NECtext, null_scale, NECgraphics, NECmove, NECvector, 
  	   NEClinetype, NECput_text, NEC_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef NEXT
***************
*** 1233,1239 ****
  	   NEXT_VTIC, NEXT_HTIC, NEXT_options, NEXT_init, NEXT_reset, 
  	   NEXT_text, do_scale, NEXT_graphics, NEXT_move, NEXT_vector, 
  	   NEXT_linetype, NEXT_put_text, NEXT_text_angle, 
! 	   NEXT_justify_text, NEXT_point, do_arrow}
  #endif /* The PostScript driver with NXImage displaying the PostScript on screen */
  
  #ifdef OKIDATA
--- 1353,1360 ----
  	   NEXT_VTIC, NEXT_HTIC, NEXT_options, NEXT_init, NEXT_reset, 
  	   NEXT_text, do_scale, NEXT_graphics, NEXT_move, NEXT_vector, 
  	   NEXT_linetype, NEXT_put_text, NEXT_text_angle, 
! 	   NEXT_justify_text, NEXT_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif /* The PostScript driver with NXImage displaying the PostScript on screen */
  
  #ifdef OKIDATA
***************
*** 1242,1248 ****
  	   EPSONVTIC, EPSONHTIC, options_null, EPSONinit, EPSONreset,
  	   OKIDATAtext, null_scale, EPS60graphics, EPSONmove, EPSONvector,
  	   EPSONlinetype, EPSONput_text, EPSON_text_angle,
! 	   null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef OS2PM
--- 1363,1370 ----
  	   EPSONVTIC, EPSONHTIC, options_null, EPSONinit, EPSONreset,
  	   OKIDATAtext, null_scale, EPS60graphics, EPSONmove, EPSONvector,
  	   EPSONlinetype, EPSONput_text, EPSON_text_angle,
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef OS2PM
***************
*** 1251,1257 ****
  	   PM_VTIC, PM_HTIC, PM_args, PM_init, PM_reset, 
  	   PM_text, null_scale, PM_graphics, PM_move, PM_vector,
  	   PM_linetype, PM_put_text, PM_text_angle, 
! 	   PM_justify_text, PM_point, do_arrow}
  #endif
  
  #ifdef PBM
--- 1373,1380 ----
  	   PM_VTIC, PM_HTIC, PM_args, PM_init, PM_reset, 
  	   PM_text, null_scale, PM_graphics, PM_move, PM_vector,
  	   PM_linetype, PM_put_text, PM_text_angle, 
! 	   PM_justify_text, PM_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef PBM
***************
*** 1261,1267 ****
         PBMinit, PBMreset, PBMtext, null_scale,
         PBMgraphics, PBMmove, PBMvector, PBMlinetype,
         PBMput_text, PBMtext_angle, null_justify_text, PBMpoint,
!        do_arrow}
  #endif
  
  #ifdef PCL
--- 1384,1391 ----
         PBMinit, PBMreset, PBMtext, null_scale,
         PBMgraphics, PBMmove, PBMvector, PBMlinetype,
         PBMput_text, PBMtext_angle, null_justify_text, PBMpoint,
!        do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef PCL
***************
*** 1270,1276 ****
     PCL_VTIC, PCL_HTIC, PCL_options, PCL_init, PCL_reset,
     PCL_text, null_scale, PCL_graphics, HPGL2_move, HPGL2_vector,
     HPGL2_linetype, HPGL2_put_text, HPGL2_text_angle,
!    HPGL2_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef POSTSCRIPT
--- 1394,1401 ----
     PCL_VTIC, PCL_HTIC, PCL_options, PCL_init, PCL_reset,
     PCL_text, null_scale, PCL_graphics, HPGL2_move, HPGL2_vector,
     HPGL2_linetype, HPGL2_put_text, HPGL2_text_angle,
!    HPGL2_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef POSTSCRIPT
***************
*** 1279,1285 ****
  	   PS_VTIC, PS_HTIC, PS_options, PS_init, PS_reset, 
  	   PS_text, null_scale, PS_graphics, PS_move, PS_vector, 
  	   PS_linetype, PS_put_text, PS_text_angle, 
! 	   PS_justify_text, PS_point, do_arrow}
  #endif
  
  #ifdef PRESCRIBE
--- 1404,1411 ----
  	   PS_VTIC, PS_HTIC, PS_options, PS_init, PS_reset, 
  	   PS_text, null_scale, PS_graphics, PS_move, PS_vector, 
  	   PS_linetype, PS_put_text, PS_text_angle, 
! 	   PS_justify_text, PS_point, do_arrow, PS_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef PRESCRIBE
***************
*** 1288,1300 ****
  	PRE_VTIC, PRE_HTIC, options_null, PRE_init, PRE_reset, 
  	PRE_text, null_scale, PRE_graphics, PRE_move, PRE_vector, 
  	PRE_linetype, PRE_put_text, null_text_angle, 
! 	PRE_justify_text, line_and_point, do_arrow}
      ,{"kyo", "Kyocera Laser Printer with Courier font",
  	PRE_XMAX, PRE_YMAX, KYO_VCHAR, KYO_HCHAR, 
  	PRE_VTIC, PRE_HTIC, options_null, KYO_init, PRE_reset, 
  	PRE_text, null_scale, PRE_graphics, PRE_move, PRE_vector, 
  	PRE_linetype, PRE_put_text, null_text_angle, 
! 	PRE_justify_text, line_and_point, do_arrow}
  #endif /* PRESCRIBE */
  
  #ifdef PSLATEX
--- 1414,1428 ----
  	PRE_VTIC, PRE_HTIC, options_null, PRE_init, PRE_reset, 
  	PRE_text, null_scale, PRE_graphics, PRE_move, PRE_vector, 
  	PRE_linetype, PRE_put_text, null_text_angle, 
! 	PRE_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
      ,{"kyo", "Kyocera Laser Printer with Courier font",
  	PRE_XMAX, PRE_YMAX, KYO_VCHAR, KYO_HCHAR, 
  	PRE_VTIC, PRE_HTIC, options_null, KYO_init, PRE_reset, 
  	PRE_text, null_scale, PRE_graphics, PRE_move, PRE_vector, 
  	PRE_linetype, PRE_put_text, null_text_angle, 
! 	PRE_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif /* PRESCRIBE */
  
  #ifdef PSLATEX
***************
*** 1303,1309 ****
  	PS_VTIC, PS_HTIC, PSLATEX_options, PSLATEX_init, PSLATEX_reset,
  	PSLATEX_text, PSLATEX_scale, PSLATEX_graphics, PS_move, PS_vector,
  	PS_linetype, PSLATEX_put_text, PSLATEX_text_angle,
! 	PSLATEX_justify_text, PS_point, do_arrow}
  #endif
  
  #ifdef	PSTRICKS
--- 1431,1438 ----
  	PS_VTIC, PS_HTIC, PSLATEX_options, PSLATEX_init, PSLATEX_reset,
  	PSLATEX_text, PSLATEX_scale, PSLATEX_graphics, PS_move, PS_vector,
  	PS_linetype, PSLATEX_put_text, PSLATEX_text_angle,
! 	PSLATEX_justify_text, PS_point, do_arrow, PS_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef	PSTRICKS
***************
*** 1312,1318 ****
  	   PSTRICKS_VTIC, PSTRICKS_HTIC, options_null, PSTRICKS_init, PSTRICKS_reset, 
  	   PSTRICKS_text, PSTRICKS_scale, PSTRICKS_graphics, PSTRICKS_move, PSTRICKS_vector, 
  	   PSTRICKS_linetype, PSTRICKS_put_text, PSTRICKS_text_angle, 
! 	   PSTRICKS_justify_text, PSTRICKS_point, PSTRICKS_arrow}
  #endif
      
  #ifdef QMS
--- 1441,1448 ----
  	   PSTRICKS_VTIC, PSTRICKS_HTIC, options_null, PSTRICKS_init, PSTRICKS_reset, 
  	   PSTRICKS_text, PSTRICKS_scale, PSTRICKS_graphics, PSTRICKS_move, PSTRICKS_vector, 
  	   PSTRICKS_linetype, PSTRICKS_put_text, PSTRICKS_text_angle, 
! 	   PSTRICKS_justify_text, PSTRICKS_point, PSTRICKS_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
      
  #ifdef QMS
***************
*** 1321,1327 ****
  	   QMS_VTIC, QMS_HTIC, options_null, QMS_init,QMS_reset, 
  	   QMS_text, null_scale, QMS_graphics, QMS_move, QMS_vector,
  	   QMS_linetype,QMS_put_text, null_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef REGIS
--- 1451,1458 ----
  	   QMS_VTIC, QMS_HTIC, options_null, QMS_init,QMS_reset, 
  	   QMS_text, null_scale, QMS_graphics, QMS_move, QMS_vector,
  	   QMS_linetype,QMS_put_text, null_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef REGIS
***************
*** 1330,1336 ****
  	   REGISVTIC, REGISHTIC, REGISoptions, REGISinit, REGISreset, 
  	   REGIStext, null_scale, REGISgraphics, REGISmove, REGISvector,
  	   REGISlinetype, REGISput_text, REGIStext_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef RGIP
--- 1461,1468 ----
  	   REGISVTIC, REGISHTIC, REGISoptions, REGISinit, REGISreset, 
  	   REGIStext, null_scale, REGISgraphics, REGISmove, REGISvector,
  	   REGISlinetype, REGISput_text, REGIStext_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef RGIP
***************
*** 1339,1351 ****
  	   RGIP_VTIC, RGIP_HTIC, RGIP_options, RGIP_init, RGIP_reset,
  	   RGIP_text, null_scale, RGIP_graphics, RGIP_move,
  	   RGIP_vector, RGIP_linetype, RGIP_put_text, RGIP_text_angle,
! 	   RGIP_justify_text, RGIP_do_point, do_arrow}
      ,{"uniplex", "RGIP metafile (Uniplex). Option: fontsize (1-8)",
  	   RGIP_XMAX, RGIP_YMAX, RGIP_VCHAR, RGIP_HCHAR,
  	   RGIP_VTIC, RGIP_HTIC, RGIP_options, RGIP_init, RGIP_reset,
  	   RGIP_text, null_scale, RGIP_graphics, RGIP_move,
  	   RGIP_vector, RGIP_linetype, RGIP_put_text, RGIP_text_angle,
! 	   RGIP_justify_text, RGIP_do_point, do_arrow}
  #endif
  
  #ifdef SELANAR
--- 1471,1485 ----
  	   RGIP_VTIC, RGIP_HTIC, RGIP_options, RGIP_init, RGIP_reset,
  	   RGIP_text, null_scale, RGIP_graphics, RGIP_move,
  	   RGIP_vector, RGIP_linetype, RGIP_put_text, RGIP_text_angle,
! 	   RGIP_justify_text, RGIP_do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
      ,{"uniplex", "RGIP metafile (Uniplex). Option: fontsize (1-8)",
  	   RGIP_XMAX, RGIP_YMAX, RGIP_VCHAR, RGIP_HCHAR,
  	   RGIP_VTIC, RGIP_HTIC, RGIP_options, RGIP_init, RGIP_reset,
  	   RGIP_text, null_scale, RGIP_graphics, RGIP_move,
  	   RGIP_vector, RGIP_linetype, RGIP_put_text, RGIP_text_angle,
! 	   RGIP_justify_text, RGIP_do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef SELANAR
***************
*** 1354,1360 ****
  	   TEK40VTIC, TEK40HTIC, options_null, SEL_init, SEL_reset, 
  	   SEL_text, null_scale, SEL_graphics, TEK40move, TEK40vector, 
  	   TEK40linetype, TEK40put_text, null_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef STARC
--- 1488,1495 ----
  	   TEK40VTIC, TEK40HTIC, options_null, SEL_init, SEL_reset, 
  	   SEL_text, null_scale, SEL_graphics, TEK40move, TEK40vector, 
  	   TEK40linetype, TEK40put_text, null_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef STARC
***************
*** 1363,1369 ****
  	   STARCVTIC, STARCHTIC, options_null, STARCinit, STARCreset, 
  	   STARCtext, null_scale, STARCgraphics, STARCmove, STARCvector, 
  	   STARClinetype, STARCput_text, STARC_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef SUN
--- 1498,1505 ----
  	   STARCVTIC, STARCHTIC, options_null, STARCinit, STARCreset, 
  	   STARCtext, null_scale, STARCgraphics, STARCmove, STARCvector, 
  	   STARClinetype, STARCput_text, STARC_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef SUN
***************
*** 1372,1378 ****
  	   SUN_VTIC, SUN_HTIC, options_null, SUN_init, SUN_reset, 
  	   SUN_text, null_scale, SUN_graphics, SUN_move, SUN_vector,
  	   SUN_linetype, SUN_put_text, null_text_angle, 
! 	   SUN_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef VWS
--- 1508,1515 ----
  	   SUN_VTIC, SUN_HTIC, options_null, SUN_init, SUN_reset, 
  	   SUN_text, null_scale, SUN_graphics, SUN_move, SUN_vector,
  	   SUN_linetype, SUN_put_text, null_text_angle, 
! 	   SUN_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef VWS
***************
*** 1381,1387 ****
             VWS_VTIC, VWS_HTIC, options_null, VWS_init, VWS_reset,
             VWS_text, null_scale, VWS_graphics, VWS_move, VWS_vector,
             VWS_linetype, VWS_put_text, VWS_text_angle,
!            VWS_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef TANDY60
--- 1518,1525 ----
             VWS_VTIC, VWS_HTIC, options_null, VWS_init, VWS_reset,
             VWS_text, null_scale, VWS_graphics, VWS_move, VWS_vector,
             VWS_linetype, VWS_put_text, VWS_text_angle,
!            VWS_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef TANDY60
***************
*** 1390,1396 ****
  	   EPSONVTIC, EPSONHTIC, options_null, EPSONinit, EPSONreset,
  	   TANDY60text, null_scale, EPS60graphics, EPSONmove, EPSONvector,
  	   EPSONlinetype, EPSONput_text, EPSON_text_angle,
! 	   null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef T410X
--- 1528,1535 ----
  	   EPSONVTIC, EPSONHTIC, options_null, EPSONinit, EPSONreset,
  	   TANDY60text, null_scale, EPS60graphics, EPSONmove, EPSONvector,
  	   EPSONlinetype, EPSONput_text, EPSON_text_angle,
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef T410X
***************
*** 1399,1405 ****
  	   T410XVTIC, T410XHTIC, options_null, T410X_init, T410X_reset, 
  	   T410X_text, null_scale, T410X_graphics, T410X_move, T410X_vector, 
  	   T410X_linetype, T410X_put_text, T410X_text_angle, 
! 	   null_justify_text, T410X_point, do_arrow}
  #endif
  
  #ifdef TEK
--- 1538,1545 ----
  	   T410XVTIC, T410XHTIC, options_null, T410X_init, T410X_reset, 
  	   T410X_text, null_scale, T410X_graphics, T410X_move, T410X_vector, 
  	   T410X_linetype, T410X_put_text, T410X_text_angle, 
! 	   null_justify_text, T410X_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef TEK
***************
*** 1408,1414 ****
  	   TEK40VTIC, TEK40HTIC, options_null, TEK40init, TEK40reset, 
  	   TEK40text, null_scale, TEK40graphics, TEK40move, TEK40vector, 
  	   TEK40linetype, TEK40put_text, null_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef TEXDRAW
--- 1548,1555 ----
  	   TEK40VTIC, TEK40HTIC, options_null, TEK40init, TEK40reset, 
  	   TEK40text, null_scale, TEK40graphics, TEK40move, TEK40vector, 
  	   TEK40linetype, TEK40put_text, null_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef TEXDRAW
***************
*** 1417,1423 ****
  	TEXDRAW_VTIC, TEXDRAW_HTIC, options_null, TEXDRAW_init, TEXDRAW_reset,
  	TEXDRAW_text, TEXDRAW_scale, TEXDRAW_graphics, TEXDRAW_move, TEXDRAW_vector,
  	TEXDRAW_linetype, TEXDRAW_put_text, TEXDRAW_text_angle,
! 	TEXDRAW_justify_text, TEXDRAW_point, TEXDRAW_arrow}
  #endif
    
  #ifdef TGIF
--- 1558,1565 ----
  	TEXDRAW_VTIC, TEXDRAW_HTIC, options_null, TEXDRAW_init, TEXDRAW_reset,
  	TEXDRAW_text, TEXDRAW_scale, TEXDRAW_graphics, TEXDRAW_move, TEXDRAW_vector,
  	TEXDRAW_linetype, TEXDRAW_put_text, TEXDRAW_text_angle,
! 	TEXDRAW_justify_text, TEXDRAW_point, TEXDRAW_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
    
  #ifdef TGIF
***************
*** 1426,1432 ****
  	   TGIF_VTIC, TGIF_HTIC, options_null, TGIF_init, TGIF_reset, 
  	   TGIF_text, null_scale, TGIF_graphics, TGIF_move, TGIF_vector, 
  	   TGIF_linetype, TGIF_put_text, TGIF_text_angle, 
! 	   TGIF_justify_text, line_and_point, TGIF_arrow}
  #endif
  
  #ifdef TPIC
--- 1568,1575 ----
  	   TGIF_VTIC, TGIF_HTIC, options_null, TGIF_init, TGIF_reset, 
  	   TGIF_text, null_scale, TGIF_graphics, TGIF_move, TGIF_vector, 
  	   TGIF_linetype, TGIF_put_text, TGIF_text_angle, 
! 	   TGIF_justify_text, line_and_point, TGIF_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef TPIC
***************
*** 1435,1441 ****
  	   TPIC_VTIC, TPIC_HTIC, TPIC_options, TPIC_init, TPIC_reset, 
  	   TPIC_text, TPIC_scale, TPIC_graphics, TPIC_move, TPIC_vector, 
  	   TPIC_linetype, TPIC_put_text, TPIC_text_angle, 
! 	   TPIC_justify_text, TPIC_point, TPIC_arrow}
  #endif
  
  #ifdef UNIXPLOT
--- 1578,1585 ----
  	   TPIC_VTIC, TPIC_HTIC, TPIC_options, TPIC_init, TPIC_reset, 
  	   TPIC_text, TPIC_scale, TPIC_graphics, TPIC_move, TPIC_vector, 
  	   TPIC_linetype, TPIC_put_text, TPIC_text_angle, 
! 	   TPIC_justify_text, TPIC_point, TPIC_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef UNIXPLOT
***************
*** 1445,1451 ****
  	   UP_VTIC, UP_HTIC, UP_options, UP_init, UP_reset,
  	   UP_text, null_scale, UP_graphics, UP_move, UP_vector,
  	   UP_linetype, UP_put_text, UP_text_angle,
! 	   UP_justify_text, line_and_point, do_arrow}
  #else
      ,{"unixplot", "Unix plotting standard (see plot(1))",
  	   UP_XMAX, UP_YMAX, UP_VCHAR, UP_HCHAR, 
--- 1589,1596 ----
  	   UP_VTIC, UP_HTIC, UP_options, UP_init, UP_reset,
  	   UP_text, null_scale, UP_graphics, UP_move, UP_vector,
  	   UP_linetype, UP_put_text, UP_text_angle,
! 	   UP_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #else
      ,{"unixplot", "Unix plotting standard (see plot(1))",
  	   UP_XMAX, UP_YMAX, UP_VCHAR, UP_HCHAR, 
***************
*** 1452,1458 ****
  	   UP_VTIC, UP_HTIC, options_null, UP_init, UP_reset, 
  	   UP_text, null_scale, UP_graphics, UP_move, UP_vector, 
  	   UP_linetype, UP_put_text, null_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif /* GNUGRAPH */
  #endif
  	
--- 1597,1604 ----
  	   UP_VTIC, UP_HTIC, options_null, UP_init, UP_reset, 
  	   UP_text, null_scale, UP_graphics, UP_move, UP_vector, 
  	   UP_linetype, UP_put_text, null_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif /* GNUGRAPH */
  #endif
  	
***************
*** 1462,1468 ****
  	   uPC_VTIC, uPC_HTIC, options_null, uPC_init, uPC_reset, 
  	   uPC_text, null_scale, uPC_graphics, uPC_move, uPC_vector,
  	   uPC_linetype, uPC_put_text, uPC_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef EMXVGA
--- 1608,1615 ----
  	   uPC_VTIC, uPC_HTIC, options_null, uPC_init, uPC_reset, 
  	   uPC_text, null_scale, uPC_graphics, uPC_move, uPC_vector,
  	   uPC_linetype, uPC_put_text, uPC_text_angle, 
! 	   null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef EMXVGA
***************
*** 1472,1478 ****
  	   EMXVGA_VTIC, EMXVGA_HTIC, EMXVESA_options, EMXVESA_init, EMXVESA_reset,
  	   EMXVESA_text, null_scale, EMXVESA_graphics, EMXVGA_move, EMXVGA_vector,
  	   EMXVGA_linetype, EMXVGA_put_text, EMXVGA_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
  #endif
      ,{"vgal", "IBM PC/Clone with VGA graphics board",
  	   EMXVGA_XMAX, EMXVGA_YMAX, EMXVGA_VCHAR, EMXVGA_HCHAR,
--- 1619,1626 ----
  	   EMXVGA_VTIC, EMXVGA_HTIC, EMXVESA_options, EMXVESA_init, EMXVESA_reset,
  	   EMXVESA_text, null_scale, EMXVESA_graphics, EMXVGA_move, EMXVGA_vector,
  	   EMXVGA_linetype, EMXVGA_put_text, EMXVGA_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
      ,{"vgal", "IBM PC/Clone with VGA graphics board",
  	   EMXVGA_XMAX, EMXVGA_YMAX, EMXVGA_VCHAR, EMXVGA_HCHAR,
***************
*** 1479,1485 ****
  	   EMXVGA_VTIC, EMXVGA_HTIC, options_null, EMXVGA_init, EMXVGA_reset,
  	   EMXVGA_text, null_scale, EMXVGA_graphics, EMXVGA_move, EMXVGA_vector,
  	   EMXVGA_linetype, EMXVGA_put_text, EMXVGA_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef V384
--- 1627,1634 ----
  	   EMXVGA_VTIC, EMXVGA_HTIC, options_null, EMXVGA_init, EMXVGA_reset,
  	   EMXVGA_text, null_scale, EMXVGA_graphics, EMXVGA_move, EMXVGA_vector,
  	   EMXVGA_linetype, EMXVGA_put_text, EMXVGA_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef V384
***************
*** 1488,1494 ****
  	   V384_VTIC, V384_HTIC, options_null, V384_init, V384_reset, 
  	   V384_text, null_scale, V384_graphics, V384_move, V384_vector, 
  	   V384_linetype, V384_put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow}
  #endif
  
  #ifdef VTTEK
--- 1637,1644 ----
  	   V384_VTIC, V384_HTIC, options_null, V384_init, V384_reset, 
  	   V384_text, null_scale, V384_graphics, V384_move, V384_vector, 
  	   V384_linetype, V384_put_text, null_text_angle, 
! 	   null_justify_text, do_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef VTTEK
***************
*** 1497,1503 ****
         TEK40VTIC, TEK40HTIC, options_null, VTTEK40init, VTTEK40reset,
         TEK40text, null_scale, TEK40graphics, TEK40move, TEK40vector,
         VTTEK40linetype, VTTEK40put_text, null_text_angle,
!        null_justify_text, line_and_point, do_arrow}
  #endif
  
  #ifdef _Windows
--- 1647,1654 ----
         TEK40VTIC, TEK40HTIC, options_null, VTTEK40init, VTTEK40reset,
         TEK40text, null_scale, TEK40graphics, TEK40move, TEK40vector,
         VTTEK40linetype, VTTEK40put_text, null_text_angle,
!        null_justify_text, line_and_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  
  #ifdef _Windows
***************
*** 1506,1512 ****
  	   WIN_VTIC, WIN_HTIC, WIN_options, WIN_init, WIN_reset, 
  	   WIN_text, WIN_scale, WIN_graphics, WIN_move, WIN_vector,
  	   WIN_linetype, WIN_put_text, WIN_text_angle, 
! 	   WIN_justify_text, WIN_point, do_arrow}
  #endif
  
  #ifdef X11
--- 1657,1664 ----
  	   WIN_VTIC, WIN_HTIC, WIN_options, WIN_init, WIN_reset, 
  	   WIN_text, WIN_scale, WIN_graphics, WIN_move, WIN_vector,
  	   WIN_linetype, WIN_put_text, WIN_text_angle, 
! 	   WIN_justify_text, WIN_point, do_arrow, do_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9} 
  #endif
  
  #ifdef X11
***************
*** 1515,1533 ****
  	   X11_VTIC, X11_HTIC, options_null, X11_init, X11_reset, 
  	   X11_text, null_scale, X11_graphics, X11_move, X11_vector, 
  	   X11_linetype, X11_put_text, null_text_angle, 
! 	   X11_justify_text, X11_point, do_arrow}
      ,{"X11", "X11 Window System (identical to x11)",
  	   X11_XMAX, X11_YMAX, X11_VCHAR, X11_HCHAR, 
  	   X11_VTIC, X11_HTIC, options_null, X11_init, X11_reset, 
  	   X11_text, null_scale, X11_graphics, X11_move, X11_vector, 
  	   X11_linetype, X11_put_text, null_text_angle, 
! 	   X11_justify_text, X11_point, do_arrow}
     ,{"xlib", "X11 Window System (gnulib_x11 dump)",
  	   Xlib_XMAX, Xlib_YMAX, Xlib_VCHAR, Xlib_HCHAR, 
  	   Xlib_VTIC, Xlib_HTIC, options_null, Xlib_init, Xlib_reset, 
  	   Xlib_text, null_scale, Xlib_graphics, Xlib_move, Xlib_vector, 
  	   Xlib_linetype, Xlib_put_text, null_text_angle, 
! 	   Xlib_justify_text, line_and_point, do_arrow}
  #endif
  };
  
--- 1667,1688 ----
  	   X11_VTIC, X11_HTIC, options_null, X11_init, X11_reset, 
  	   X11_text, null_scale, X11_graphics, X11_move, X11_vector, 
  	   X11_linetype, X11_put_text, null_text_angle, 
! 	   X11_justify_text, X11_point, do_arrow, X11_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
      ,{"X11", "X11 Window System (identical to x11)",
  	   X11_XMAX, X11_YMAX, X11_VCHAR, X11_HCHAR, 
  	   X11_VTIC, X11_HTIC, options_null, X11_init, X11_reset, 
  	   X11_text, null_scale, X11_graphics, X11_move, X11_vector, 
  	   X11_linetype, X11_put_text, null_text_angle, 
! 	   X11_justify_text, X11_point, do_arrow, X11_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
     ,{"xlib", "X11 Window System (gnulib_x11 dump)",
  	   Xlib_XMAX, Xlib_YMAX, Xlib_VCHAR, Xlib_HCHAR, 
  	   Xlib_VTIC, Xlib_HTIC, options_null, Xlib_init, Xlib_reset, 
  	   Xlib_text, null_scale, Xlib_graphics, Xlib_move, Xlib_vector, 
  	   Xlib_linetype, Xlib_put_text, null_text_angle, 
! 	   Xlib_justify_text, line_and_point, do_arrow, Xlib_fill,
! 	   R0,R1,R2,R3,R4,R5,R6,R7,R8,R9}
  #endif
  };
  
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5/: term.c~
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5/: term3.2.c
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5/: term3.2.h
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5/: test
Common subdirectories: gnuplot3.5/win and /nfs/grebe/home/users/stevec/src/gnuplot3.5//win
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5//demo: defaults.ini
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5//demo: temp.set
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5//docs: Makefile
Common subdirectories: gnuplot3.5/docs/latextut and /nfs/grebe/home/users/stevec/src/gnuplot3.5//docs/latextut
Only in gnuplot3.5/docs: makefile
diff -r -c gnuplot3.5/docs/titlepag.tex /nfs/grebe/home/users/stevec/src/gnuplot3.5//docs/titlepag.tex
*** gnuplot3.5/docs/titlepag.tex	Wed Sep 15 21:59:58 1993
--- /nfs/grebe/home/users/stevec/src/gnuplot3.5//docs/titlepag.tex	Fri Mar 18 13:25:46 1994
***************
*** 1,11 ****
  %
  % $Id: titlepag.tex%v 3.38.2.153 1993/07/08 03:43:32 woo Exp woo $
  %
! \ifx\undefined\selectfont % DSL 26 May 93
  \documentstyle[toc_entr]{article}
! \else
! \documentstyle[toc_entr,helv]{article}
! \fi
  \setlength{\textwidth}{6.25in}
  \setlength{\oddsidemargin}{0.5cm}
  \setlength{\topmargin}{-0.5in}
--- 1,11 ----
  %
  % $Id: titlepag.tex%v 3.38.2.153 1993/07/08 03:43:32 woo Exp woo $
  %
! %% DSL 26 May 93
  \documentstyle[toc_entr]{article}
! %\else
! %\documentstyle[toc_entr,helv]{article}
! %\fi
  \setlength{\textwidth}{6.25in}
  \setlength{\oddsidemargin}{0.5cm}
  \setlength{\topmargin}{-0.5in}
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5//docs/latextut: Makefile
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5//term: hppj3.2.term
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5//term: hpt.trm
Only in /nfs/grebe/home/users/stevec/src/gnuplot3.5//term: pbm3.2.trm
diff -r -c gnuplot3.5/term/post.trm /nfs/grebe/home/users/stevec/src/gnuplot3.5//term/post.trm
*** gnuplot3.5/term/post.trm	Wed Sep 15 22:00:13 1993
--- /nfs/grebe/home/users/stevec/src/gnuplot3.5//term/post.trm	Fri Jul 22 16:19:55 1994
***************
*** 52,57 ****
--- 52,58 ----
  enum JUSTIFY ps_justify=LEFT;	/* text is flush left */
  
  char GPFAR * GPFAR PS_header[] = {
+ "/Box {gsave newpath moveto scale 0 1 rlineto 1 0 rlineto 0 -1 rlineto -1 0 rlineto fill grestore} bind def\n",
  "/M {moveto} bind def\n",
  "/L {lineto} bind def\n",
  "/R {rmoveto} bind def\n",
***************
*** 427,429 ****
--- 428,435 ----
  	PS_linetype_last = -1; /* force next linetype change */
  }
  
+ 
+ int PS_fill(x,y,dx,dy) int x, y; unsigned int dx, dy;{
+     fprintf(outfile, "%d %d %d %d Box\n", dx, dy, x, y);
+     return 0;
+ }
diff -r -c gnuplot3.5/term/x11.trm /nfs/grebe/home/users/stevec/src/gnuplot3.5//term/x11.trm
*** gnuplot3.5/term/x11.trm	Wed Sep 15 22:00:17 1993
--- /nfs/grebe/home/users/stevec/src/gnuplot3.5//term/x11.trm	Mon Jul 25 22:17:15 1994
***************
*** 115,121 ****
  
  X11_vector(x,y) unsigned int x,y; { fprintf(X11_ipc, "V%04d%04d\n", x, y); }
  
! X11_linetype(lt) int lt; { fprintf(X11_ipc, "L%04d\n", lt); }
  
  X11_put_text(x,y,str) unsigned int x,y; char str[]; {
     fprintf(X11_ipc, "T%04d%04d%s\n", x, y, str);
--- 115,123 ----
  
  X11_vector(x,y) unsigned int x,y; { fprintf(X11_ipc, "V%04d%04d\n", x, y); }
  
! X11_linetype(lt) int lt; { int fuck; 
! 		 fuck = lt;
! 		 fprintf(X11_ipc, "L%04d\n", fuck); }
  
  X11_put_text(x,y,str) unsigned int x,y; char str[]; {
     fprintf(X11_ipc, "T%04d%04d%s\n", x, y, str);
***************
*** 133,138 ****
--- 135,146 ----
     fprintf(X11_ipc, "P%01d%04d%04d\n", number, x, y);
     }
  
+ X11_fill(x,y,dx,dy) int x,y; unsigned int dx,dy; {
+    fprintf(X11_ipc,"B%06d%06d%06d%06d\n",x,y,dx,dy);
+    return 0;		   
+ }
+ 
+ 
  #endif /* DEFAULT_X11 */
  
  
***************
*** 197,202 ****
--- 205,217 ----
     number += 1;
     fprintf(X11_ipc, "P%01d%04d%04d\n", number, x, y);
     }
+ 
+ 
+ X11_fill(x,y,dx,dy) unsigned int x,y,dx,dy; {
+    fprintf(X11_ipc,"B%06d%06d%06d%06d\n",x,y,dx,dy);
+    return 0;		   
+ }
+ 
  #endif /* CRIPPLED_SELECT */
  
  
***************
*** 311,314 ****
--- 326,336 ----
     sprintf(X11_vmsbuf, "P%01d%04d%04d\n", number, x, y);
     X11_vmsqiow(X11_vmsbuf);
     }
+ 
+ 
+ X11_fill(x,y,dx,dy) unsigned int x,y,dx,dy; {
+    sprintf(X11_vmdbuf,"B%06d%06d%06d%06d\n",x,y,dx,dy);
+    X11_vmsqiow(X11_vmsbuf);
+    return 0;		   
+ }
  #endif /* VMS */
diff -r -c gnuplot3.5/term/xlib.trm /nfs/grebe/home/users/stevec/src/gnuplot3.5//term/xlib.trm
*** gnuplot3.5/term/xlib.trm	Wed Sep 15 22:00:17 1993
--- /nfs/grebe/home/users/stevec/src/gnuplot3.5//term/xlib.trm	Mon Jul 25 22:16:56 1994
***************
*** 63,65 ****
--- 63,70 ----
    fprintf(outfile, "J%04d\n", mode);
    return(TRUE);
  }
+ 
+ Xlib_fill(x,y,dx,dy) int x,y; unsigned int dx,dy; {
+    fprintf(outfile,"B%06d%06d%06d%06d\n",x,y,dx,dy);
+    return 0;		   
+ }
